% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stat_interval.R
\name{stat_interval}
\alias{stat_interval}
\title{Line plot visualising intervals of a distribution}
\usage{
stat_interval(mapping = NULL, data = NULL, stat = "interval_fctr",
  position = "identity", na.rm = FALSE, show.legend = NA,
  inherit.aes = TRUE, intervals = c(0, 50, 90)/100, ...)
}
\arguments{
\item{mapping}{Set of aesthetic mappings created by \code{\link{aes}} or
\code{\link{aes_}}. If specified and \code{inherit.aes = TRUE} (the
default), it is combined with the default mapping at the top level of the
plot. You must supply \code{mapping} if there is no plot mapping.}

\item{data}{The data to be displayed in this layer. There are three
   options:

   If \code{NULL}, the default, the data is inherited from the plot
   data as specified in the call to \code{\link{ggplot}}.

   A \code{data.frame}, or other object, will override the plot
   data. All objects will be fortified to produce a data frame. See
   \code{\link{fortify}} for which variables will be created.

   A \code{function} will be called with a single argument,
   the plot data. The return value must be a \code{data.frame.}, and
   will be used as the layer data.}

\item{stat}{Use to override the default use of \code{\link{stat_interval}}}

\item{position}{Position adjustment, either as a string, or the result of
a call to a position adjustment function.}

\item{na.rm}{If \code{FALSE}, the default, missing values are removed with
a warning. If \code{TRUE}, missing values are silently removed.}

\item{show.legend}{logical. Should this layer be included in the legends?
\code{NA}, the default, includes if any aesthetics are mapped.
\code{FALSE} never includes, and \code{TRUE} always includes.}

\item{inherit.aes}{If \code{FALSE}, overrides the default aesthetics,
rather than combining with them. This is most useful for helper functions
that define both data and aesthetics and shouldn't inherit behaviour from
the default plot specification, e.g. \code{\link{borders}}.}

\item{intervals}{specify the collection of intervals to be represented in the
fan.}

\item{...}{other arguments passed on to \code{\link{layer}}. These are
often aesthetics, used to set an aesthetic to a fixed value, like
\code{color = "red"} or \code{size = 3}. They may also be parameters
to the paired geom/stat.}
}
\description{
Very similar to \code{\link{geom_interval}}, except uses
\code{\link[ggplot2]{geom_line}} to handle the plotting. This makes handling
plotting of intervals for several groups difficult to achieve, so
\code{\link{geom_interval}} is preferred.
}
